package com.aimluck.eip.cayenne.om.portlet;

import org.apache.cayenne.ObjectId;

import com.aimluck.eip.cayenne.om.portlet.auto._ImwMItemSubcategory;

public class ImwMItemSubcategory extends _ImwMItemSubcategory {
  
  public Integer getItemSubcategoryId() {
    if (getObjectId() != null && !getObjectId().isTemporary()) {
      Object obj = getObjectId().getIdSnapshot().get(ITEM_SUBCATEGORY_ID_PK_COLUMN);
      if (obj instanceof Long) {
        Long value = (Long) obj;
        return Integer.valueOf(value.intValue());
      } else {
        return (Integer) obj;
      }
    } else {
      return null;
    }
  }

  public void setItemSubcategoryId(String id) {
    setObjectId(new ObjectId("ImwMItemSubcategory", ITEM_SUBCATEGORY_ID_PK_COLUMN, Integer
        .valueOf(id)));
  }
}



